#ifndef _APPCTL_H_
#define _APPCTL_H_


#include <qdatetime.h>
#include <qdir.h>
#include "application.h"
#include "weekdays.h"

class AppControl {
	private:
		bool enabled;

	public:
		QPtrList<Application> *applist;

		AppControl();
		~AppControl();


		int open();
		int close();

		void setEnabled();
		void setDisabled();
		bool isEnabled();

		QPtrList<Application> *getAppList();

		bool restartService();
};

#endif

