

#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include "mywin.h"

static const char description[] =
    I18N_NOOP("Parental Control");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about(i18n("Parental Control"), I18N_NOOP("Parental Control"), 
		    version, description,
		     KAboutData::License_GPL_V2, 
		     "(C) 2007 Flavio Leitner", 0, 0, 
		     "flavio.leitner@gmail.com");

    about.addAuthor( "Flavio Leitner", 0, "flavio.leitner@gmail.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    mywin *mainWin = 0;

    if (app.isRestored())
    {
        //RESTORE(mywin);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here
        mainWin = new mywin();
        app.setMainWidget( mainWin );
        mainWin->hide();
        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

