#ifndef MYADDEDIT_H
#define MYADDEDIT_H

#include <qobject.h>
#include <addedit.h>
#include "appctl.h"
#include "mywin.h"
#include "rtime.h"

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/
class myaddedit : public addedit
{
Q_OBJECT
public:
    myaddedit(mywin *parent, const QString *name);
    myaddedit(mywin *parent, const QString *name,
		    const QString *weekday,
		    class Rule *redit);

    ~myaddedit();

    RTime getStime();
    RTime getFtime();
    const QString getWeekdayName();


private:

    RTime *startTime;
    RTime *finishTime;
    QString weekdayName;
    QTime fixTime(QTime);
};

#endif
