#ifndef PASSWIN_H
#define PASSWIN_H

#include <security/pam_appl.h>
#include <security/pam_misc.h>
#include <pwin.h>
#include <qstring.h>

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/
class PassWin : public pwin
{
Q_OBJECT
public:
    PassWin(QWidget *parent, const char *name, const QStringList & userList);

    ~PassWin();


    QString getUser();
    QString getPass();
    bool valid_auth();

private:
    struct pam_conv conv;

};

#endif
