#ifndef RTIME_H
#define RTIME_H

#include <qdatetime.h>
#include <qstring.h>

/**
	@author Flavio Leitner <flavio.leitner@gmail.com>
*/
class RTime : public QTime
{
public:
    RTime(int h, int m);
    RTime(const QString *timestr);
    RTime(const QTime tm);
    ~RTime();


    bool fromText(const QString *timestr);
    const QString toText();
};

#endif
